> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pending Changes For Employee

> Returns an employee's pending change requests keyed by category with requester name.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-pending-changes-for-employee
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-pending-changes-for-employee:
    get:
      operationId: getPendingChangesForEmployee
      summary: Get Pending Changes For Employee
      description: >-
        Returns an employee's pending change requests keyed by category with
        requester name.


        Not available to API keys.
      parameters:
        - name: roleInOrgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPendingChangesForEmployeeResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetPendingChangesForEmployeeResponse:
      type: object
      properties:
        pendingByCategory:
          type: object
          additionalProperties:
            type: object
            properties:
              changeRequestId:
                type: string
              changes:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    oldValue:
                      type:
                        - string
                        - 'null'
                    newValue:
                      type:
                        - string
                        - 'null'
                    displayLabel:
                      type: string
                  required:
                    - oldValue
                    - newValue
                    - displayLabel
              requestedAt:
                type: string
              requestedByName:
                type: string
            required:
              - changeRequestId
              - changes
              - requestedAt
              - requestedByName
        scheduledChanges:
          type: array
          items:
            type: object
            properties:
              changeRequestId:
                type: string
              changes:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    oldValue:
                      type:
                        - string
                        - 'null'
                    newValue:
                      type:
                        - string
                        - 'null'
                    displayLabel:
                      type: string
                  required:
                    - oldValue
                    - newValue
                    - displayLabel
              requestedAt:
                type: string
              requestedByName:
                type: string
              category:
                type: string
              effectiveDate:
                type: string
            required:
              - changeRequestId
              - changes
              - requestedAt
              - requestedByName
              - category
              - effectiveDate
      required:
        - pendingByCategory
        - scheduledChanges
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
